@echo off
rem Wrapper batchfile for Perl script of the same name
rem both in the root of the TeX Live installation.
rem Based on code from Tomasz M. Trzeciak.
rem Public domain.

rem First, check if this is DOS based system
rem in DOS '^' is just a normal character
if not ^x==x goto DOS

rem Localize environment changes
setlocal enableextensions

rem Batch subroutines require a cd to the batchfile directory.
rem For UNC paths, pushd will create a temporary mapping.
pushd "%~dp0"

rem Break search path into dir list and rebuild w/o tex dirs
call :rebuildpath ";" "%path:;=" "%"
if "%path:~0,1%"==";" set "path=%path:~1%"

rem Use TL Perl
path %~dp0tlpkg\tlperl\bin;%~dp0bin\win32;%path%
set PERL5LIB=%~dp0tlpkg\tlperl\lib;%~dp0tlpkg

rem Clean environment from other Perl variables
set PERL5OPT=
set PERLIO=
set PERLIO_DEBUG=
set PERLLIB=
set PERL5DB=
set PERL5DB_THREADED=
set PERL5SHELL=
set PERL_ALLOW_NON_IFS_LSP=
set PERL_DEBUG_MSTATS=
set PERL_DESTRUCT_LEVEL=
set PERL_DL_NONLAZY=
set PERL_ENCODING=
set PERL_HASH_SEED=
set PERL_HASH_SEED_DEBUG=
set PERL_ROOT=
set PERL_SIGNALS=
set PERL_UNICODE=

rem Start Perl script of the same name
perl "%~dpn0" %*
rem Give user opportunity to scan output messages
pause
goto :eof

rem Subroutine to build search path without tex directories
rem any dir containing pdftex.exe is considered a tex dir
:rebuildpath
shift
rem The first argument (";") serves as a marker to reset the path
if "%~0"==";" set path=
rem Finish if no more arguments to process
if [%1]==[] goto :eof
rem Continue if tex dir
if exist "%~1\pdftex.exe" goto :rebuildpath
rem Add dir to path
if not defined path (path %~1) else (path %path%;%~1)
goto :rebuildpath

:DOS
echo DOS and Windows 9x systems are not supported. Sorry.
echo Windows 2000 or newer is required.
pause
